# Interface DigitalTransferOptions

All Known Implementing Classes:
  `DefaultDigitalTransferOptions`

@UML(identifier="MD_DigitalTransferOptions", specification=ISO_19115) public interface DigitalTransferOptions
Technical means and media by which a resource is obtained from the distributor.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Medium`
  `getOffLine()`
  Information about offline media on which the resource can be obtained.
  `Collection<? extends OnlineResource>`
  `getOnLines()`
  Information about online sources from which the resource can be obtained.
  `Double`
  `getTransferSize()`
  Estimated size of a unit in the specified transfer format, expressed in megabytes.
  `InternationalString`
  `getUnitsOfDistribution()`
  Tiles, layers, geographic areas, etc., in which data is available.

- ## Method Details

  - ### getUnitsOfDistribution

    @UML(identifier="unitsOfDistribution", obligation=OPTIONAL, specification=ISO_19115) InternationalString getUnitsOfDistribution()
    Tiles, layers, geographic areas, etc., in which data is available.
    Returns:
      Tiles, layers, geographic areas, etc. in which data is available, or `null`.

  - ### getTransferSize

    @UML(identifier="transferSize", obligation=OPTIONAL, specification=ISO_19115) Double getTransferSize()
    Estimated size of a unit in the specified transfer format, expressed in megabytes. The transfer size is > 0.0. Returns `null` if the transfer size is unknown.
    Returns:
      Estimated size of a unit in the specified transfer format in megabytes, or `null`.

  - ### getOnLines

    @Profile(level=CORE) @UML(identifier="onLine", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends OnlineResource> getOnLines()
    Information about online sources from which the resource can be obtained.
    Returns:
      Online sources from which the resource can be obtained.

  - ### getOffLine

    @UML(identifier="offLine", obligation=OPTIONAL, specification=ISO_19115) Medium getOffLine()
    Information about offline media on which the resource can be obtained.
    Returns:
      offline media on which the resource can be obtained, or `null`.